# Note that this is NOT a relocatable package
%define ver      1.0
%define  RELEASE 1
%define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix   /

Summary: Hexago's TSP Client
Name: freenet6-client
Version: %ver
Release: %rel
Copyright: HPL 1.0
Group: Applications/System
Vendor: Hexago
Packager: Jean-Philippe.Dionne <jean-philippe.dionne@hexago.com>
Source: freenet6-client-1.0.tgz
Patch0: mk-linux.rpm.diff.gz
Patch1: initscript.gz
BuildRoot: /var/tmp/tspc-client-build
URL: http://www.hexago.com
Docdir: %{prefix}/usr/share/doc

Requires: glibc >= 2.2.1
Requires: radvd >= 0.6.2
Requires: net-tools >= 1.60
Requires: iproute >= 2.2.4

%description
TSP is a new initiative launched by Hexago, a private company 
in Canada involved in IPv6 since 1996, to facilitate a faster deployment 
of an IPv6 Internet. The Internet is deployed worldwide over IPv4 so this
project's goal is large scale deployment of IPv6 by using configured 
tunnels.

Configured tunneling is a transition method standardized by IETF to use 
IPv6 in coexistence with IPv4 by encapsulating IPv6 packets over IPv4. Any 
host already connected to Internet with IPv4 which has an IPv6 stack can 
establish a link to the Internet IPv6.

Freenet6, developed by Viagenie in 1999/2000, was the first public tunnel
server service and one of the most used in the world to automatically 
delegate one single IPv6 address to any host already connected to an IPv4 
network over configured tunnel simply by filling a web form and running a 
script. TSP represents another very important step to 
accelerate the large scale deployment of IPv6 to everyone on the net.

Instead of a web interface to request configured tunnels and IPv6 
addresses, TSP is a new model based on a client/server 
approach. A protocol is used to request a single IPv6 address to a full 
IPv6 prefix from a clien to a tunnel server according to the IPv6 broker 
model. The protocol could be integrated directly into the operating system 
to provide a service like DHCP but for requesting IPv6 addresses or 
prefixes over an IPv4 network (Internet).

%changelog
* Thu May 15 2003 Jean-Philippe Dionne <jean-philippe.dionne@hexago.com>
- New version 1.0
- "Freenet6 client" is now "TSP client"

* Wed Jan 08 2003 Mitja Pufic <raveer@section-one.org>
- New version 0.9.7
- change manpath to /usr/share/man instead of /usr/local/man
- Check UPDATES (a lot of new fancy stuff)

* Sat Nov 02 2002 Mitja Pufic <raveer@section-one.org>
- New Version 0.9.6 

* Wed Dec 19 2001 Mitja Pufic <raveer@section-one.org>
- Initial RPM for Section`s needs

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch0 -p0
%patch1 -p0

%build
CFLAGS="$RPM_OPT_FLAGS" make all target=linux installdir=$RPM_BUILD_ROOT%{prefix}usr/local/freenet6-client

%install
rm -rf $RPM_BUILD_ROOT
make install target=linux installdir=$RPM_BUILD_ROOT%{prefix}usr/local/freenet6-client
sed "s/tsp_dir=.*/tsp_dir=\/usr\/local\/tsp-client/" < $RPM_BUILD_ROOT%{prefix}usr/local/freenet6-client/bin/tspc.conf > $RPM_BUILD_ROOT/tspc.conf
mv $RPM_BUILD_ROOT/tspc.conf $RPM_BUILD_ROOT%{prefix}usr/local/freenet6-client/bin/tspc.conf
mkdir -p $RPM_BUILD_ROOT%{prefix}etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT%{prefix}usr/share/man/man5
mkdir -p $RPM_BUILD_ROOT%{prefix}usr/share/man/man8
cp man/man5/tspc.conf.5 $RPM_BUILD_ROOT%{prefix}usr/share/man/man5
cp man/man8/tspc.8 $RPM_BUILD_ROOT%{prefix}usr/share/man/man8
gzip $RPM_BUILD_ROOT%{prefix}usr/share/man/man8/*
gzip $RPM_BUILD_ROOT%{prefix}usr/share/man/man5/*
cp freenet6-client $RPM_BUILD_ROOT%{prefix}etc/rc.d/init.d/
chmod +x $RPM_BUILD_ROOT%{prefix}etc/rc.d/init.d/freenet6-client

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%{prefix}usr/local/freenet6-client/bin/tspc*
%{prefix}usr/share/man/man5/*
%{prefix}usr/share/man/man8/*
%{prefix}usr/local/freenet6-client/template/*
%{prefix}etc/rc.d/init.d/freenet6-client

%doc README LEGAL CONTRIB.txt UPDATES
